#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

BOOL WINAPI
DeleteFile(LPCWSTR lpFileName)
{
	char *file;
	BOOL b;

	if(win_useunicode)
		return DeleteFileW(lpFileName);
	
	file = win_wstr2utf(lpFileName);
	b = DeleteFileA(file);
	win_free(file);
	return b;
}
